import { DataEntity, DataParentEntity } from "ng-deco-forms";
import { Observable } from "rxjs";
export declare const Max: (max: number) => (target: any, key: string) => void;
export declare const Min: (min: number) => (target: any, key: string) => void;
export declare const Step: (step: number) => (target: any, propertyKey?: string) => void;
export declare const Tooltip: (tooltip: string) => (target: any, propertyKey?: string) => void;
export declare const Options: (options: DataEntity[]) => (target: any, propertyKey?: string) => void;
export declare const Label: (label: string) => (target: any, key: string) => void;
export declare const CheckLabel: (label: string) => (target: any, key: string) => void;
export declare const Hint: (hint: string) => (target: any, key: string) => void;
export declare const Title: (title: string) => (target: any, key: string) => void;
export declare const Half: (target: any, propertyKey?: string) => void;
export declare const Third: (target: any, propertyKey?: string) => void;
export declare const TwoThirds: (target: any, propertyKey?: string) => void;
export declare const Quarter: (target: any, propertyKey?: string) => void;
export declare const Hide: (factoryFunc: () => Observable<boolean>) => (target: any, key: string) => void;
export declare const Warn: (factoryFunc: () => Observable<string>) => (target: any, propertyKey?: string) => void;
export declare const Required: (target: any, key: string) => void;
export declare const Row: (target: any, propertyKey?: string) => void;
export declare const Action: (action: string) => (target: any, propertyKey?: string) => void;
export declare const BtnClass: (cls: string) => (target: any, propertyKey?: string) => void;
export declare const Submit: (func: () => (() => void)) => (target: any, propertyKey?: string) => void;
export declare const DropOptions: (fact: () => Observable<DataParentEntity[]>) => (target: any, propertyKey?: string) => void;
