import { InjectionToken } from '@angular/core';
import { FormControl } from '@angular/forms';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
type TooltipConfig = {
    tooltip: string;
    warning$: Observable<string>;
};
export declare const FIELD_TOOLTIP_TOKEN: InjectionToken<TooltipConfig>;
export declare class TooltipsComponent {
    control: FormControl;
    warning$: Observable<string>;
    tooltip: string;
    get statusChanges(): Observable<import("@angular/forms").FormControlStatus>;
    get errors(): import("@angular/forms").ValidationErrors;
    constructor(control: FormControl);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipsComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TooltipsComponent, "deco-tooltips", never, { "warning$": { "alias": "warning"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; }, {}, never, never, false, never>;
}
export {};
